import { IContentType } from './icontent-type.interface';
import { IContentTypeSystemAttributes } from './icontent-type-system-attributes.interface';
import { IPagination } from '../common/ipagination.interface';
import { IElementOption } from '../element/ielement-option.interface';
export declare namespace CloudTypeResponseInterfaces {
    interface ICloudMultipleTypeResponse {
        types: IContentType[];
        pagination: IPagination;
    }
    interface ICloudSingleTypeResponse {
        system: IContentTypeSystemAttributes;
        elements: IContentTypeElementCloudResponse[];
    }
    interface IContentTypeElementCloudResponse {
        codename: string;
        type: string;
        name: string;
        taxonomy_group?: string;
        options?: IElementOption[];
    }
}
