import { ILink } from '../../interfaces/item/ilink.interface';
export declare class Link implements ILink {
    /**
     * Id of the content item
     */
    itemId: string;
    /**
     * Codename of the content item
     */
    codename: string;
    /**
     * Type codename of the content item
     */
    type: string;
    /**
     * Url slug defined for the content item
     */
    url_slug: string;
    constructor(
        /**
         * Id of the content item
         */
        itemId: string, 
        /**
         * Codename of the content item
         */
        codename: string, 
        /**
         * Type codename of the content item
         */
        type: string, 
        /**
         * Url slug defined for the content item
         */
        url_slug: string);
}
