import { IContentType } from '../../interfaces/type/icontent-type.interface';
import { IContentTypeSystemAttributes } from '../../interfaces/type/icontent-type-system-attributes.interface';
import { IElement } from '../../interfaces/element/ielement.interface';
export declare class ContentType implements IContentType {
    /**
     * Content type system attributes
     */
    system: IContentTypeSystemAttributes;
    /**
     * Elements (fields) assigned to content type
     */
    elements: IElement[];
    constructor(
        /**
         * Content type system attributes
         */
        system: IContentTypeSystemAttributes, 
        /**
         * Elements (fields) assigned to content type
         */
        elements: IElement[]);
}
