import { ajax } from 'rxjs/observable/dom/ajax';
import { BaseResponse } from './base-response.class';
var HttpService = /** @class */ (function () {
    function HttpService() {
    }
    HttpService.prototype.get = function (url, headers) {
        return ajax.get(url, this.getHeadersJson(headers))
            .map(function (ajaxResponse) {
            return new BaseResponse(ajaxResponse.response, ajaxResponse);
        });
    };
    HttpService.prototype.getHeadersJson = function (headers) {
        var headerJson = {};
        if (!headers) {
            return headerJson;
        }
        headers.forEach(function (header) {
            headerJson[header.header] = header.value;
        });
        return headerJson;
    };
    return HttpService;
}());
export { HttpService };
//# sourceMappingURL=http.service.js.map