"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
* Represents Kentico Cloud's field types
*/
var FieldType = /** @class */ (function () {
    function FieldType(type) {
        this.type = type;
    }
    FieldType.prototype.toString = function () {
        return this.type;
    };
    FieldType.text = new FieldType('text');
    FieldType.number = new FieldType('number');
    FieldType.modular_content = new FieldType('modular_content');
    FieldType.asset = new FieldType('asset');
    FieldType.datetime = new FieldType('date_time');
    FieldType.rich_text = new FieldType('rich_text');
    FieldType.multiple_choice = new FieldType('multiple_choice');
    FieldType.url_slug = new FieldType('url_slug');
    FieldType.taxonomy = new FieldType('taxonomy');
    return FieldType;
}());
exports.FieldType = FieldType;
//# sourceMappingURL=field-type.js.map