import { ICloudResponse } from '../../interfaces/common/icloud-response.interface';
import { ICloudResponseDebug } from '../../interfaces/common/icloud-response-debug.interface';
import { IElement } from '../../interfaces/element/ielement.interface';
export declare namespace ElementResponses {
    class ElementResponse implements ICloudResponse {
        element: IElement;
        debug: ICloudResponseDebug;
        /**
        * Response containing content type element
        *
        * @constructor
        * @param {IElement} element - Content type element
        * @param {ICloudResponseDebug} debug - Debug information from the response
        */
        constructor(element: IElement, debug: ICloudResponseDebug);
    }
}
