import { IContentTypeSystemAttributes } from '../../interfaces/type/icontent-type-system-attributes.interface';
export declare class ContentTypeSystemAttributes implements IContentTypeSystemAttributes {
    /**
     * Id of the type
     */
    id: string;
    /**
     * Name of the type
     */
    name: string;
    /**
     * Codename of the type
     */
    codename: string;
    /**
     * Date of last modification
     */
    last_modified: Date;
    constructor(
        /**
         * Id of the type
         */
        id: string, 
        /**
         * Name of the type
         */
        name: string, 
        /**
         * Codename of the type
         */
        codename: string, 
        /**
         * Date of last modification
         */
        last_modified: Date);
}
