import 'reflect-metadata';
export declare namespace FieldDecorators {
    /**
     * Get the metadata entry saved by the decorator
     * @param target - object instance
     * @param fieldName - field name (code name from Kentico Cloud)
     */
    function getPropertyName(target: any, fieldName: string): any;
    /**
     * Decorator - reates metadata entry for the @target - Value is the property name.
     * This will then be retrieved in the FieldMap service when resolving the field name
     * @param value - field code name
     */
    function codename(value: string): (target: any, propertyKey: string) => void;
}
