/**
* Represents Kentico Cloud's field types
*/
export declare class FieldType {
    type: string;
    static text: FieldType;
    static number: FieldType;
    static modular_content: FieldType;
    static asset: FieldType;
    static datetime: FieldType;
    static rich_text: FieldType;
    static multiple_choice: FieldType;
    static url_slug: FieldType;
    static taxonomy: FieldType;
    constructor(type: string);
    toString(): string;
}
