var ContentItemSystemAttributes = /** @class */ (function () {
    function ContentItemSystemAttributes(
    /**
     * Id of the item
     */
    id, 
    /**
     * Name of the item
     */
    name, 
    /**
     * Codename of the item
     */
    codename, 
    /**
     * Codename of the type this item is using
     */
    type, 
    /**
     * Date when the item was last modified
     */
    last_modified, 
    /**
     * Codename of the language
     */
    language, 
    /**
     * Array of sitemap locatoins
     */
    sitemap_locations) {
        this.id = id;
        this.name = name;
        this.codename = codename;
        this.type = type;
        this.last_modified = last_modified;
        this.language = language;
        this.sitemap_locations = sitemap_locations;
    }
    return ContentItemSystemAttributes;
}());
export { ContentItemSystemAttributes };
//# sourceMappingURL=content-item-system-attributes.js.map