export var TypeResponses;
(function (TypeResponses) {
    var DeliveryTypeListingResponse = /** @class */ (function () {
        /**
        * Response containing multiple types
        * @constructor
        * @param {IContentType[]} types - Content types
        * @param {IPagination} pagination - Pagination object
        */
        function DeliveryTypeListingResponse(types, pagination, debug) {
            this.types = types;
            this.pagination = pagination;
            this.debug = debug;
        }
        return DeliveryTypeListingResponse;
    }());
    TypeResponses.DeliveryTypeListingResponse = DeliveryTypeListingResponse;
    var DeliveryTypeResponse = /** @class */ (function () {
        /**
        * Response containing single type
        * @constructor
        * @param {IContentType} type - Content type
        */
        function DeliveryTypeResponse(type, debug) {
            this.type = type;
            this.debug = debug;
        }
        return DeliveryTypeResponse;
    }());
    TypeResponses.DeliveryTypeResponse = DeliveryTypeResponse;
})(TypeResponses || (TypeResponses = {}));
//# sourceMappingURL=responses.js.map