import { ITaxonomySystemAttributes } from '../interfaces/taxonomy/itaxonomy-system-attributes.interface';
import { ITaxonomyTerms } from '../interfaces/taxonomy/itaxonomy-terms.interface';
import { TaxonomyGroup } from '../models/taxonomy/taxonomy-group.class';
import { ITaxonomyGroup } from '../interfaces/taxonomy/itaxonomy-group.interface';
export declare class TaxonomyMapService {
    constructor();
    mapTaxonomy(taxonomySystem: ITaxonomySystemAttributes, taxonomyTerms: ITaxonomyTerms[]): TaxonomyGroup;
    mapTaxonomies(taxonomies: ITaxonomyGroup[]): TaxonomyGroup[];
    /**
     * Recursively map array of taxonomy terms
     * @param termsArray Terms array to map
     */
    private mapTaxonomyTerms(termsArray);
}
