"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var element_class_1 = require("../models/element/element.class");
var ElementMapService = /** @class */ (function () {
    function ElementMapService() {
    }
    ElementMapService.prototype.mapElement = function (response) {
        if (!response) {
            throw Error("Invalid response for mapping element");
        }
        return new element_class_1.Element(response.codename, response.type, response.name, response.taxonomy_group, response.options);
    };
    return ElementMapService;
}());
exports.ElementMapService = ElementMapService;
//# sourceMappingURL=element-map.service.js.map